from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XFormulaParser(Protocol):
    def parseFormula(self, aFormula: str, aReferencePos: CellAddress) -> list[FormulaToken]: ...
    def printFormula(self, aTokens: sequence< FormulaToken >, aReferencePos: CellAddress) -> str: ...
